%define name tinycompress 

# Majors
%define major 0

# Library names
%define libname %mklibname %{name} %{major}
%define libname_devel %mklibname -d %{name}

Summary:  Userspace Interface to Kernel ALSA Compressed Audio APIs
Name:     tinycompress
Version:  0.2.0
Release:  %mkrel 1
# (cg) Note: Created from git clone
Source0:  %{name}-%{version}.tar.xz
Patch100: 0100-compress-fix-the-typo-in-compress_get_alsa_rate.patch
Patch101: 0101-fix-error-returned-by-compress_wait.patch
Patch102: 0102-compress-Must-check-for-POLLERR-before-POLLOUT-POLLI.patch
Patch500: 0500-Bump-version-to-0.2.patch
Patch501: 0501-Add-a-libmajor-0.patch
License:  LGPLv2+ or BSD
Group:    Sound/Utilities
Url:      http://git.alsa-project.org/?p=tinycompress.git
BuildRequires: libalsa-devel
BuildRequires: kernel-userspace-headers

%description
Userspace library for anyone who wants to use the ALSA compressed APIs
introduced in Linux 3.3

This library provides the APIs to open a ALSA compressed device and read/write
compressed data like MP3 etc to it.

This also includes a utility command line player (cplay) which demonstrates 
the usage of this API. Currently this contains support for playing the mp3 format

%package -n %{libname}
Summary:	Userspace Interface to Kernel ALSA Compressed Audio APIs
Group:		System/Libraries

%description -n %{libname}
Userspace library for anyone who wants to use the ALSA compressed APIs
introduced in Linux 3.3

This library provides the APIs to open a ALSA compressed device and read/write
compressed data like MP3 etc to it.

This also includes a utility command line player (cplay) which demonstrates 
the usage of this API. Currently this contains support for playing the mp3 format

%package -n %{libname_devel}
Summary:	Headers and libraries for %{name} development
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libname_devel}
Development files for %{name}

%prep
%setup -q
%apply_patches
rm -rf include/sound
ln -s %{_includedir}/sound include/

%build
%make -f makefile.linux

%install
rm -rf %{buildroot}

install -D -m755  cplay %{buildroot}%{_bindir}/cplay
install -D -m755  lib%{name}.so.0 %{buildroot}%{_libdir}/lib%{name}.so.0
ln -s lib%{name}.so.0 %{buildroot}%{_libdir}/lib%{name}.so
install -d -m755  %{buildroot}%{_includedir}/%{name}
install -D -m655  include/%{name}/* %{buildroot}%{_includedir}/%{name}/

%clean
rm -rf %{buildroot}

%files
%{_bindir}/cplay

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{libname_devel}
%doc README
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so


%changelog
* Mon Oct 28 2013 colin <colin> 0.2.0-1.mga4
+ Revision: 547717
- imported package tinycompress

